View Issue Details

IDProjectCategoryView StatusLast Update
16903Bug reportsSurvey editingpublic2021-01-11 17:20
ReporterDenisChenu Assigned To 
PrioritynoneSeverityminor 
Status newResolutionopen 
Product Version3.25.3 
Summary16903: Windows server : unable to save attachements
Description

After https://github.com/LimeSurvey/LimeSurvey/pull/1679 : unable to save attachments in windows

Steps To Reproduce

Additional Information

DIRECTORY_ SEPARATOR

upload url : http://example.org/upload/surveys/1234/files/check.png
upload dir D:\example.org\upload\surveys\1234\files\check.png

Local name return https://github.com/LimeSurvey/LimeSurvey/blob/ade1dcb4bd247274edc8e861537ffb877f5e8934/application/controllers/admin/emailtemplates.php#L216

D:\example.org\upload/surveys/1234/files/check.png

Broke

After fix : there are invalid javascript string …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.3 github
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)Windows NT LIMESURVEY-1 10.0 build 14393 (Windows Server 2016) AMD64
Webserver software & version (if known)Microsoft-IIS/10.0
PHP Versionphp7.3

Relationships

parent of 16905 new Windoiws server : good attachments throw JS error (and broke all JS action) 
child of 16854 closedgabrieljenik Cannot attach PDF to email invitation (email template for surveys) 
Not all the children of this issue are yet resolved or closed.

Activities

cdorin

cdorin

2020-12-11 18:11

manager   ~60931

@gabrieljenik, have time to take a look at this one? the fix will then have to be applied to Develop as well.
I see 16905 as well.

DenisChenu

DenisChenu

2020-12-11 18:13

developer   ~60932

@cdorin : i already apply some fix, but the worst part are https://bugs.limesurvey.org/view.php?id=16905

addslashes(addslashes … …

Need to wait 16854 for fixing this one :)

cdorin

cdorin

2020-12-11 18:13

manager   ~60933

Last edited: 2020-12-11 18:14

View 2 revisions

Yep. Feeling sorry for the windows users :( - will have it solved next week
Thx Denis for quick checks and reports!

DenisChenu

DenisChenu

2020-12-11 18:19

developer   ~60934

Feeling sorry for the windows users :(

Not me, Linux is better ! Linux RULES !

Windows users must hire a LimeSurvey Partner ;)

gabrieljenik

gabrieljenik

2020-12-16 15:06

developer   ~60981

Let me see. I am not sure I have a windows environment available.

DenisChenu

DenisChenu

2020-12-17 17:34

developer   ~60997

Maybe you can check this one : https://bugs.limesurvey.org/view.php?id=16902
Before

I check with strlen(rtrim('/',Yii::app()->getBaseUrl(false)) : it's OK

If neede d: i can fix both

gabrieljenik

gabrieljenik

2020-12-18 17:06

developer   ~60999

Thanks. I will

DenisChenu

DenisChenu

2020-12-18 17:10

developer   ~61000

OK :) 16902 can be done on any server :)

DenisChenu

DenisChenu

2021-01-07 08:25

developer   ~61452

@gabrieljenik : a XAMPP/WAMP muts have same issue in my opinion.

@Joffm : your XAMPP was on a windows ?

Joffm

Joffm

2021-01-08 18:29

reporter   ~61472

@Denis: Yes, it is on windows.

DenisChenu

DenisChenu

2021-01-08 18:40

developer   ~61473

Can you make a test for this bug and 16905 please ?
https://bugs.limesurvey.org/view.php?id=16905

To have a confirmation ;) it broke too with XAMP

My windows server are really more complex to test …

Joffm

Joffm

2021-01-11 15:48

reporter   ~61479

Sorry, could not reproduce on a windows XAMP
XAMPP for Windows 7.4.8.

screenshot.34598.jpg (113,771 bytes)
DenisChenu

DenisChenu

2021-01-11 16:27

developer   ~61480

Misunderstanding , sorry …

attachment

Deleted when try to save

Joffm

Joffm

2021-01-11 17:19

reporter   ~61484

Okay, I can confirm this behaviour.
Deleted after saving.

DenisChenu

DenisChenu

2021-01-11 17:20

developer   ~61485

Thank you :)

Issue History

Date Modified Username Field Change
2020-12-11 14:49 DenisChenu New Issue
2020-12-11 14:50 DenisChenu Relationship added child of 16854
2020-12-11 15:26 DenisChenu Summary Windows seerver : unable to save attachements => Windows server : unable to save attachements
2020-12-11 15:46 DenisChenu Relationship added parent of 16905
2020-12-11 18:11 cdorin Note Added: 60931
2020-12-11 18:13 DenisChenu Note Added: 60932
2020-12-11 18:13 cdorin Note Added: 60933
2020-12-11 18:14 cdorin Note Edited: 60933 View Revisions
2020-12-11 18:19 DenisChenu Note Added: 60934
2020-12-16 15:06 gabrieljenik Note Added: 60981
2020-12-17 17:34 DenisChenu Note Added: 60997
2020-12-18 17:06 gabrieljenik Note Added: 60999
2020-12-18 17:10 DenisChenu Note Added: 61000
2021-01-07 08:25 DenisChenu Note Added: 61452
2021-01-08 18:29 Joffm Note Added: 61472
2021-01-08 18:40 DenisChenu Note Added: 61473
2021-01-11 15:48 Joffm Note Added: 61479
2021-01-11 15:48 Joffm File Added: screenshot.34598.jpg
2021-01-11 16:27 DenisChenu Note Added: 61480
2021-01-11 16:27 DenisChenu File Added: Capture d’écran du 2021-01-11 16-26-54.png
2021-01-11 17:19 Joffm Note Added: 61484
2021-01-11 17:20 DenisChenu Note Added: 61485